{% extends 'base.html.twig' %}

{% block title %}Répondre au sondage{% endblock %}

{% block body %}
<style>
    .example-wrapper { margin: 1em auto; max-width: 800px; width: 95%; font: 18px/1.5 sans-serif; }
    .example-wrapper code { background: #F5F5F5; padding: 2px 6px; }
</style>

<div class="example-wrapper">
    <h1 class="text-center">Sondage {{ sondage.theme }}</h1>
    <form name="formquestion" action={{ path("app_controleur_repondre_sondage_reponse", {"id": sondage.id}) }} method="post">
        <ul>
            {% for question in questions %}
                {% if question.typeQuestion == "qcs" %}
                    {% include 'controleur_repondre/repondre_question_qcs.html.twig' with {'question': question} %}
                {% elseif question.typeQuestion == "qcm" %}
                    {% include 'controleur_repondre/repondre_question_qcm.html.twig' with {'question': question} %}
                {% elseif question.typeQuestion == "note" %}
                    {% include 'controleur_repondre/repondre_question_note.html.twig' with {'question': question} %}
                {% elseif question.typeQuestion == "nombre" %}
                    {% include 'controleur_repondre/repondre_question_number.html.twig' with {'question': question} %}
                {% elseif question.typeQuestion == "date" %}
                    {% include 'controleur_repondre/repondre_question_date.html.twig' with {'question': question} %}
                {% else %}
                    {% include 'controleur_repondre/repondre_question_input.html.twig' with {'question': question} %}
                {% endif %}
            {% endfor %}
        </ul>
        <button class="btn turquoise d-grid gap-2 col-6 mx-auto border-light" type="submit">Valider</button>
    </form>

</div>
{% endblock %}
